import { InlineTranslation } from "@smallstack/i18n-shared";
import { BehaviorSubject, Observable } from "rxjs";
import { FormService } from "../../services/form.service";
import * as i0 from "@angular/core";
export declare class FormFieldTitleComponent {
    protected formService: FormService;
    protected path$: BehaviorSubject<string>;
    protected set path(path: string);
    protected showRequired: boolean;
    protected data$: Observable<string | InlineTranslation>;
    protected isRequired$: Observable<boolean>;
    protected isInvalid$: Observable<boolean>;
    constructor(formService: FormService);
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldTitleComponent, "smallstack-form-field-title", never, { "path": { "alias": "path"; "required": false; }; "showRequired": { "alias": "showRequired"; "required": false; }; }, {}, never, never, false, never>;
}
